Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI.Run
Class GEVAGraphPaneConfig

    java.lang.Object
      UI.Run.GEVAGraphPaneConfig

    public class GEVAGraphPaneConfig

extends java.lang.Object

Store all configuration details by name. Graphs that want to use these configuration details must specify it by this name. Currently (2008y08M21d) only one name is used, 'GEVA'. I figured someday, someone might add another graph pane for more output, and reuse this class to configure how its data is displayed, and could do so by adding more names

Author:
  eliott bartley

Nested Class Summary
`static class` | `GEVAGraphPaneConfig.Categories`

Method Summary
`static void` | `addCategory(java.lang.String name, GEVAGraphPaneCategory category)` Add a new category to the named configuration.
`static GEVAGraphPaneConfig.Categories` | `getCategories(java.lang.String name)` Get all the categories that were added to the named configuration in a list
`static GEVAGraphPaneCategory` | `getCategoryWithItem(java.lang.String name, java.lang.String itemName)` Get the first category in a named configuration that contains the named item
`static GEVAGraphPaneItem` | `getItem(java.lang.String name, java.lang.String itemName)` Get the named item in the named configuration.
`static GEVAGraphPaneItem` | `getItem(java.lang.String name, java.lang.String categoryName, java.lang.String itemName)` Get the named item in the named configuration.
`static void` | `reset()` When the system resets, the graph configuration also needs to be reset

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### reset

    public static void reset()

  When the system resets, the graph configuration also needs to be reset

### addCategory

    public static void addCategory(java.lang.String name,
                                   GEVAGraphPaneCategory category)

  Add a new category to the named configuration. When getCategories is called on the same named item, all categories added through this method are returend

  Parameters:
    `name` - An identifier for the configuration this category will belong to
    `category` - The category to add

### getCategories

    public static GEVAGraphPaneConfig.Categories getCategories(java.lang.String name)

  Get all the categories that were added to the named configuration in a list

  Parameters:
    `name` - An identifier for the configuration this category will belong to
  Returns:
    A list of all categories that were added to the named configuration through the addCategory method. If the named category does not exist, this returns an empty list rather than null

### getCategoryWithItem

    public static GEVAGraphPaneCategory getCategoryWithItem(java.lang.String name,
                                                            java.lang.String itemName)

  Get the first category in a named configuration that contains the named item

  Parameters:
    `name` - An identifier for the configuration this category will belong to
    `itemName` - The identifier name of the graph item
  Returns:
    The category in which the named item belongs or null if no item was found

### getItem

    public static GEVAGraphPaneItem getItem(java.lang.String name,
                                            java.lang.String itemName)

  Get the named item in the named configuration. This searchs all categories added to the named configuration and returns the first item found that matches the itemName

  Parameters:
    `name` - An identifier for the configuration this category will belong to
    `itemName` - The identifier name of the graph item
  Returns:
    The named item or null if it was not found

### getItem

    public static GEVAGraphPaneItem getItem(java.lang.String name,
                                            java.lang.String categoryName,
                                            java.lang.String itemName)

  Get the named item in the named configuration. This searchs all categories added to the named configuration, searching the named category first, and returns the first item found that matches the itemName.

  Parameters:
    `name` - An identifier for the configuration this category will belong to
    `categoryName` - The category to search first. If the named item is not found in this category, all other categories are searched
    `itemName` - The identifier name of the graph item
  Returns:
    The named item or null if it was not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD